Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile.ebrim
Class InsertTransactionHandler

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.ebrim.InsertTransactionHandler

    public class InsertTransactionHandler

extends Object

The `InsertTransactionHandler` class will cut an csw/wrs ebrim insert transaction into four differend transactions, some of which are handled as wfs transactions. For each record in an Insert Transaction the basic workflow is following:

1. find out if the to id of the to inserted record is allready in the wfs database
2. if so, set it's app:status value to "invalid"
3. insert / update the records
4. create an audittrail, that is an app:AuditableEvent of the insertion

Version:
  $Revision: 1.7 $, $Date: 2007-06-21 13:54:33 $
Author:
  Rutger Bezema, last edited by: $Author: bezema $

Constructor Summary
`InsertTransactionHandler(Transaction originalTransaction, Insert insert, URI appURI, String userName)` Creates an TransactionHandler which will be able to handle csw/ebrim inserts as defined in the wrs spec.

Method Summary
`List<Element>` | `handleInsertTransaction(Manager transactionManager, int[] resultValues)` This method will handle the insert (given from

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertTransactionHandler

    public InsertTransactionHandler(Transaction originalTransaction,
                                    Insert insert,
                                    URI appURI,
                                    String userName)

  Creates an TransactionHandler which will be able to handle csw/ebrim inserts as defined in the wrs spec.

  Parameters:
    `originalTransaction` - parsed from the incoming HttpServletRequest.
    `insert` - InsertOperation to be handled (as part of the original Transaction) may not be null;
    `appURI` - defining a namespace in which the wfs RegistryObjects Recide.
    `userName` - of the users which wants to insert registryObjects, if not set it will be set to anonymous.

Method Detail

### handleInsertTransaction

    public List<Element> handleInsertTransaction(Manager transactionManager,
                                                 int[] resultValues)
                                          throws OGCWebServiceException

  This method will handle the insert (given from

  Parameters:
    `transactionManager` - which can handle the csw transactions and allows the access to a localwfs, if null an InvalidParameterException will be thrown.
    `resultValues` - an array[3] in which the number of insertions (resultValues[0]) and/or updates (resultValues[2]) will be saved. If resultValues.length != 3 an InvalidParameterException will be thrown.
  Returns:
    the brief representation of the inserted (not updated) elements.
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org